:root{
    --bg-color-dark: #111111;
    --bg-color-menu: #232323;
    --text-color-menu: #ffff;
    --title-color: #151a1d;
    --main-color: #2a6bd2;
    --main-color--dark: #06376e;
    --main-gardient: linear-gradient(to bottom right, #427fe1, #2acfd3);
}
*{
    scroll-behavior: smooth;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Open Sans', sans-serif;
}
body{
    background-color: var(--bg-color-dark);
    width: 100%;
}
main{
    padding: 100px;
    display: grid;
    justify-items: center;
    align-content: center;
    height: 100vh;
}
main div{
    display: flex;
    align-items: center;
    justify-content: center;
    align-content: center;
}
.titre_err{
    padding-right: 20px;
    font-size: 9rem;
    background-image: var(--main-gardient);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}
main h2{
    color: #ffffff;
    font-size: 2rem;
    padding: 40px;
}
main img {
    width: 30%;
}
.button1{
    position: relative;
    border: 2px solid var(--main-color);
    padding: 10px;
    border-radius: 15px;
    text-align: center;
    font-size: 1.2rem;
    color: var(--main-color);
    box-shadow: 0 5px 15px rgba(0,0,0,0.1);
    text-decoration: none;
    margin: auto;
    transition: all 0.20s ease-in;
}
.button1:hover{
    background: var(--main-color);
    box-shadow: 2px 1px 15px rgba(42,107,210,0.1);
    color: #151a1d;
}
.button1:active{
    transition: all 0.05s ease-in;
    font-size: 1.1rem;
}


@media (max-width: 800px) {
    main {
        text-align: center;
        justify-content: center;
        padding: 10px;
    }
    main div{
        width: 100%;
        padding-left: 10px;
    }
    main div .titre_err{
        text-align: left;
        position: relative;
        font-size: 6rem;
        padding: 0;
    }
    main img{
        position: relative;
        top: 50px;
        right: 50px;
        width: 30%;
    }
}
@media (max-width: 400px) {
    main div{
        justify-content: normal;
    }
    main .titre_err{
        font-size: 4rem;
        position: absolute;
    }
}